import requests, os, time
from bs4 import BeautifulSoup

# 対象ページのURL
target_url = 'https://yamashina.iehohs.com/shiseki/'
# 画像ファイルのアップロード先URL
uploads_url = 'https://yamashina.iehohs.com/wp-content/uploads/'

html = requests.get(target_url).text
soup = BeautifulSoup(html, 'html5lib')
div = soup.select('.entry-content')[0]
# サムネイル画像のクラス属性
thm_list = div.select('.shiseki-thumbnail')

# 保存先のフォルダを指定
save_dir = './image'
if not os.path.exists(save_dir):
    os.mkdir(save_dir)

# 各サムネイル画像を走査
for thm in thm_list:
    url = thm.find('img').get('src')
    res = requests.get(url)
    # フォルダに保存
    file_name = url.replace(uploads_url, '')
    save_file = save_dir + '/' + file_name
    with open(save_file, 'wb') as fp:
        fp.write(res.content)
    print("save:", save_file)
    time.sleep(1)